Opened 8 years ago

Closed 8 years ago

#37840 closed defect (invalid)

git-core @1.8.1.2 warning error

Reported by: fabien@… Owned by: ci42
Priority: Normal Milestone:
Component: ports Version: 2.1.2
Keywords: Cc:
Port: git-core

Description

Hi,

After upgrading git-core, I've this error when I use command like pull or push, for example :

# git pull
bash: /etc/bash.bashrc: Permission denied
Everything up-to-date

Any idea to remove this error ?

Thx Fabien

Change History (7)

comment:1 Changed 8 years ago by ci42

Owner: changed from macports-tickets@… to ciserlohn@…

I can't reproduce this error.

Where does the /etc/bash.bashrc file comes from? OS X uses /etc/bashrc. Please check the file permissions on /etc/bash.bashrc.

comment:2 Changed 8 years ago by ci42

Cc: ciserlohn@… removed

comment:3 Changed 8 years ago by fabien@…

Unfortunately, "/etc/bash.bashrc" does not exist on my Mac (OS X 10.7.5)

comment:4 in reply to:  3 Changed 8 years ago by ci42

Replying to fabien@…:

Unfortunately, "/etc/bash.bashrc" does not exist on my Mac (OS X 10.7.5)

That's ok, /etc/bash.bashrc is non standard and not supported on OS X. What the output of:

$ which sh
$ which bash
$ port installed git-core

?

comment:5 Changed 8 years ago by fabien@…

$ which sh
/bin/sh
$ which bash
/bin/bash
$ port installed git-core
The following ports are currently installed:
  git-core @1.8.1.2_0+credential_osxkeychain+doc+pcre+python27 (active)

comment:6 Changed 8 years ago by fabien@…

Sorry, the error is sent by the remote server. Ticket can be closed.

comment:7 Changed 8 years ago by ci42

Resolution: invalid
Status: newclosed
Note: See TracTickets for help on using tickets.